Chameleon Clock: versions history
---------------------------------

      + new feature
      * improvement/modification or bug fix

3.2 (23.09.2004)

      + Added: Drop shadow on the clockface
      + Added: New alarm types - before and after computer's going to sleep state
      + Added: Alarm can run any type of shortcuts, including VPN and dial-up ones
      + Added: Option to hide daily and hourly alarms from the tooltip
      + Added: Mark alarm and birthday's days in the tooltip calendar
      + Added: Fast and exceptional quality bicubic resize of big skins
      * Fixed: A button displayed on the taskbar under Windows XP
      * Fixed: Windows XP SP2 compatibility
      * Fixed: Redundant alarms execution after time synchronization.
      * Fixed: Lost birthdays notifications 
      * Fixed: WinOrganizer alarms import
      * Fixed: Passed months in tooltip calendar
      * Fixed: Erasing alarms file when not able to write it


3.11 (16.01.2004)
   
      * Shutdown alarm now support all the message styles
      * Remind button caption issue fixed.
      * About dialog fixed.
      * 4 updated language files.

3.10 (11.11.2003)

      + Day of the week on the clockface added
      + Custom fonts and colors in alarm messages added
      + Alarms, birthdays, and settings backup/restore feature
      + Remind feature re-enabled
      * New format of speaking clock DLLs supported
      * Snoozed alarms now are kept between the clock's restarts.
      * Transparent background drawing problem under WinXP fixed
      * Focus loosing with transparent backgound enabled fixed


3.01 (17.12.2002)

      * Shutdown alarm fixed
      * Visual glitches in the tooltip fixed

3.0 (14.12.2002)

      + Default templates added
      + Countdown feature
      + Tooltip opacity
      * Alarm expiration bug fixed
      * Updated icons in the Main Dialog
      * Again some interface fixes


3.0 beta 5 (29.11.2002)

      + Windows XP themes support (!)
      + WinOrganizer integration
      * New Birthday's were not saved because of one file missed in the 
	distributive - fixed.
      * Infinite caledar scrolling fixed.
      * Numerous interface fixes.


3.0 beta 4 (6.11.2002)

      * New Birthday command didn't work - fixed
      * Time synchronization didn't work when started from pop-up menu - fixed
      * Time synchronization accuracy increased
      * Alarm deletion at the first launch - fixed
      * Template time error - fixed
      * New time zone wasn't saved - fixed
      * Error during Windows shutdown - fixed


3.0 beta 3 (4.09.2002)

      + Interactive tooltip - now it's possible to create a reminder with right-click the tooltip, 
        explore the calendar and associated alarms inside of tooltip itself, drag tooltip over desktop 
        and lock it if necessary 
      + Alarm Templates feature
      + Alarm Recycle Bin feature
      + New On Idle alarm type
      + New option in alarms: "Close running application"
      + Clockface and alarms time accuracy is increased (now, in the moment when it displays 
        say 10:20:01, it's exactly 10:20:01 accurate within +/- 20 msec. Made by request of one 
        broadcasting company, but available for everyone).
      + Smooth tray moving in Windows 2000/XP when tray autohide option is enabled
      + Faster clockface loading
      + New Birthdays Reminder, including horoscope and e-card service links.
      + New option in atomic clocks - user-defined offset.
      + Proxy support in atomic clocks.
      + New Quick Intro design
      + Digital Skin Creator support
      * SNTP core changed to more faster and reliable one
      * Atomic clock under Windows XP problem is fixed
      * Talking clock DLL memory leak fixed
      * Time Zones reordering fixed
      * DesktopX support
      * Volume control capture when playing fixed
      * Numerous interface tweaks

2.51 (7.01.2001)

      * Resource leak in alarms feature is fixed

2.5 (14.12.2000)

      + New logo and graphics
      + Support of Winamp 2.0 format (including archived skin files in zip/wsz 
	formats)
      + Talking clock feature
      + Clockface opacity option under Windows 2000.
      + New option : Use custom volume settings.
      + Customizable double click on the clockface.
      + New option to enable/disable third-party organizers support added.
      + New speaker preset "One beep".
      * Alarms loading and saving time is greatly improved (about 8-10 times 
	faster than before).
      *	Transparency performance under Windows 2000 is greatly improved.
      * Tray clock performance is optimized
      * Audo-hide taskbar problem under Windows ME is fixed
      * Audo-hide taskbar problem under Windows 2000 is fixed
      * WAV playing problem under Windows 2000/NT is fixed.
      * Cursor adhesion with the floating clock afer double-click is fixed.
      * There is no disk in the drive error is fixed.
      * Snooze time settings are restored when the message comes from 
	snooze state.
      * Audio CD reset when edit or show alarm is fixed.
      - Option "Moveable" removed as obsolete.


2.41 (7.09.2000)

      + Quick Reminder enchanced with sound properties.
      * Remove from Alt-Tab list option fixed.
      * Access violation in atomic clock synchronization fixed.
      * Volume and FadeIn save in alarm properties.
      * Repeat option for WAVs playing fixed.
      * Random icon for alarms without message fixed, new default 
	alarm icon created.


2.4 (29.08.2000)

      + Volume and Fade In control in alarm sounds (MP3, M3U, and WAV formats).
      + New alarm action: Standby Computer.
      + New commands in main pop-up menu: Enable/Disable alarm sounds and 
	actions.
      + New checkboxes in the alarms table, a streightforward way to enable 
	and disable alarms.
      + By popular demand now clock adjusts time on Windows start.
      + Support of GoldenSection Organizer's most common actions.
      + Support of Quick To-Do Pro's most common actions.
      + Interface improvements in alarm options.
      * Random M3U play problem fixed.
      * Resource leak in the time synchronization routine fixed.
      * Centering issue in the wide tray area when "Fit to Height" fixed now.
      * Alarm window can be minimized.
      * Skins deletion error is fixed.
      * Today's upcoming alarms list now includes all alarms for the next 
	24 hours, not depending on what time is it now.
      * Advanced Tooltip doesn't show when fullscreen mode is active.
      * Too insistent stay on top is fixed.


2.3 (12.07.2000)

      + Playlist (*.M3U) support in alarm sounds.
      + 47 melody presets for computer's speaker to use in alarm sounds.
      + Play random sound option in alarms.
      + If the calendar is on when you exit the program, it will be 
	authomatically open on the same position at the next clock's start.
      + New option: Show animated tray icon when synchronize
      * In the tooltip not only todays's alarms are shown, but also alarms
	for the next 12 hours.
      * A bug with negative margins is fixed
      * "Invalid argument to time encode" when atomic synchronization interval 
	is more than 24 hours is fixed.
      * High CPU usage when playing MP3/WAVs is fixed. Now it's about 5-10% 
	on Celeron 433.
      * non-removing of applications from default alarm settings is fixed.
      * Some little bugs are fixed.

2.2 (31.03.2000)

      + Atomic Clock Synchronization Log is available from the Time menu 
	in the Main Dialog.
      * Always on top positioning for calendar and alarm message
      * Conflict between Cham Clock and TurboNote is solved.
      * Conflict between Cham Clock and WindowBlilnds (Start button refreshing)
	is solved.
      * MP3 alarm crash under Windows 2000 is fixed
      * In calendar, Sunday/Saturday colors didn't accept blue tones - fixed.
      * Some interface tweaks.


2.2 beta 1 (14.02.2000)

      + New presets menu in Alarm options, to speed up time/date setting
      + Option to change Alarm Message backgound and window color
      + Sorting in Time Zones list is added
      * Explorer's crash when the clock pops from the tray is fixed
      * Tooltip won't show if pop-up menu is opened.
      * Skin <none> (default skin) now can be selected from Recent Skins menu.
      * Alarm Message is redesigned slightly
      * Alarm wakes computer up out of standby mode before show the message
      * Strange bug in the tray code is fixed.


2.12 (16.01.2000)

      * Alarms storing routines are rewritten to be more stable
      * Bug in the moon component (crashed when date is 29 Feb 2000) fixed.
      * Some tweaks in the interface.
      * MP3 core is changed; now it's more stable and allows to play several 
	MP3's simultaneously
      * Deletion of last skin in the list error fixed.
      * Months navigation in the calendar is improved
      * Space button in the Alarm Messsage increases snooze interval by 5 min.
      * White line at the clockface's bottom is fixed - it was a real bug - but...
      * ... Show Border option now adds lowered border to the clock in the tray, 
	as this bug looked pretty nice. To disable it uncheck Show Border option.
      + New option: Show Winamp Background. You may want to disable it and get
	clearer clockface for some Winamp skins.


2.11 (2.12.99)

      + Tray icon is showed when transparency is turned on and the clock
	is in the floating state.
      * Bug fixed: icon appeared even when transparency is on and the clock 
	is in the tray state.


2.1 (1.12.99)

      * Previous versions (since 2.01) had two different tray drawing code 
	for Windows 95/98 and NT/2000. As the code for NT is appeared more 
	stable, now it's used for all Windows versions.
      * Alarm message caption now shows the time alarm should have been done.
      + New command in pop-up menu: Stop the music! It appears only when 
	sound is playing. So, now bored sound can be stopped via this command 
	or double-click.
      + Drop-down menu in alarm messages with most useful actions with alarms: 
	Close/Snooze, Edit, Delete, Disable, Show alarms list.
      + Winamp skins without background image (main.bmp) support is added.
      + New skins in the distribution kit.
      + New sample alarm.
      + New default skin - "Blue Chameleon".
      + The option "Section buttons look and feel" is back with better looking
	"Flat transparent" style.
      * Menu changes: 15 minutes reminder instead of 5 minutes
      * More accurate intervals of colon blink.
      * Snoozed alarms are displayed in the list and tooltip.


2.10 beta 1 (18.11.99)

      + Custom Atomic Servers list
      + Testing the Atomic Servers response time
      * Threaded SNTP and MP3/WAV realization
      + Making default settings for new alarms
      + New Regular alarm type
      + New Activity Period settings in Alarm Options
      + Drag-n-drop adding to the applications list in Alarm Options
      + Julian date, Swatch time, and moon phases in the Advanced Tooltip
      + Julian date and moon phases in the Calendar
      + Opening the last section used in Main Dialog
      * Occasional "Control has no parent window" error fixed
      * Locking Windows shutdown fixed 
      * Some leaks in the third-party code fixed
      * Resource leak caused by the combination of transparent clockface and
        tray clock location fixed
      * Tray stability during Explorer crashes

      ? Known issues: Cham Clock in floating state may prevent The Matrix 
        screensaver from normal functioning.
      - Solution: The Matrix is seemed not liking when Cham Clock or any other 
        window resizes itself when it's active. So, use Cham Clock built in the 
        tray or set Winamp or other fixed-width skin.


2.01 (23.08.99)

      * Simplified pop-up menu structure
      * Empty timezomes list under NT fixed
      * Continuous reminders fixed


2.0 final release (16.08.99)

      * Resource leak fixed
      * More strict SNTP timeout
      * Position forgetting fixed
      + Improved calendar
      * Snooze error fixed
      * Flushing alarms file added to avoid data's losing
      * Manual updated
      * New installator


2.0 beta 5.1 (30.07.99)

      * Windows NT 4.0 tray clock compatible
      * Better Windows 98 multi-line tray support
      * Fixed 90% CPU load (was in beta 5 only)
	Now it's 0.4% (up to 1.4% with very large skins)
      * Fixed incompatibility with some screensavers


2.0 beta 5 (19.07.99)

      + Alarms stored in the file instead of registry
      + Multilingual interface support
      * CD Players interrupt fixed
      * Screensavers under Windows 95 interrupt fixed
      * Some changes is PMS Watch
      * More stable Chimes alarm
      * Random skins bug fixed
      * Many little fixes


2.0 beta (5.05.99)

      + Build itself in the tray (in Windows 95/98 for now)
      + Critical Days Watch feature
      + Show time in different time zones
      + Calendar: floating and in Advanced Tooltip
      + Quick Reminder
      + "Mouse in the corner" alarm type
      + More configurable sounds in alarms
      + Alarm example (chimes) is included
      + Skins directory now is configurable
      * Last used skins menu is redesigned
      * Pop-up menu is redesigned
      * "Out of resource" with some winamp skins is fixed
      * Dial-Up window is not appears now in Windows 98
      * New memory-saving technique for time adjustment
      * Unregistered version now closes without problem by Windows shutdown
      * Alarms now more stable when time jumps forward and back
      * Background time adjusting is more stable now
      * Ugly gradient caption under Windows 98 is fixed
      * Always on top implementation is redesigned
      * Blink current time in Tooltip is fixed
      * Shutdown progress bar added, and time is reduced to 15 sec
      * Some spell errors are fixed
      + New sites in Download Skins menu
      + New keyboard shortcuts
      * New Easter Egg.

      Non-software news: 

      +++ New website with new design and new contents. Welcome to
	  http://www.softshape.com !

1.21 (17.12.98) 

      + Section icons now reflect the current section state.
      * Preferences window title is corrected.
      * Unchecked 'moveable' option is fixed.
      * Access violation when 'Delete skin' is fixed.
      * Snooze state now remain when message is showed again.
      * "Non-disabled buttons in Alarms List" error is fixed


1.2  (12.12.98) 
      + New option "Remind before" in alarms
      + New option "Show on top of screensavers and full-screen games"
      + New option "Section buttons look and feel", there's also a fixed bug 
	with shifting the icons in Windows 98
      + CD-Audio and midi-files support in alarms
      * "Invalid argument to date encode" error is fixed
      * Winsocket loading is optimized to decrease memory consumption
      * New animation to adjust time via Internet
      + Batch-files SaveSettings / RestoreSettings. Use them to save clock 
        and alarms settings when you reinstall your Windows
      * Real speaker beep in alarms
      * "Windows shutdown freeze" error is fixed
      * Another 'List index out of bounds' error fixed
      * A lot of little tweaks


1.1a (29.10.98) 
      + Moveable Clockface and Remove from Alt+Tab list options added
	(by users's requests)
      * Help file and interface spelling corrected
      * Adjust time algoritm corrected
      * Clocks hides in full-screen mode (i.e. if screensaver or game is active)
      * 'List index out of bounds' error fixed


1.1  (19.10.98)

      + Alarm features.
      + Easy procedure of skins adding, even from zip-files, 
	with drag'n'drop support.
      + Adjust Date&Time via Internet Time Servers
      + Adjust Date&Time via Control Panel (if the tray clock 
	is disabled)
      + Transparent background support
      + Hide the clock with one mouse click.
      + Blink colon
      + Advanced tooltip
      + New options - Show Seconds, Show Border , Show tooltip, 
	Show leading zero, Always On Top.
      + New icons
      + New base skin
      + New HTML Help file
      + Keyboard shortcuts.
      + Skins preview speed improved.
      + Recent Skins List added to Preferences->Skins menu.
      + Sites list updated.
      + Improved algoritm of calculating background color.
      + A lot of little tweaks and improvements
      + Easter Egg added :)
      * Sleep Mode bug fixed
      * More insistent stay on top


1.03 (17.08.98)

      * empty skins list error fixed


1.02 (10.08.98)

      + Date show in local format, not only in European
      + AM/PM time format now works with Winamp skins
      + New option 'Use regular time format even if AM/PM signs
	is missing in skin'
      + Help file
      * fixed error 'FindFirstChangeNotification() failed'


1.01 (25.07.98)

      + Now Cham Clock is Windows NT compatible
      + and has an install/uninstall program


1.0 (7.07.98)

      * Original version (Windows 95 only)
